# $Revision: 1.4 $, $Date: 2004/05/03 00:55:41 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Template
%define	pnam	Plugin-Stash
Summary:	Template::Plugin::Stash - expose the stash, ideal for Dumpering...
Summary(pl):	Template::Plugin::Stash - wystawianie schowka, idealne do zrzucania
Name:		perl-Template-Plugin-Stash
Version:	1.006
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8c640985f5b36a30a5af4cd5ab455b97
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Template::Plugin::Stash - expose the stash, ideal for Dumpering...

%description -l pl
Template::Plugin::Stash - wystawianie schowka, idealne do zrzucania.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Template/Plugin/Stash.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Template-Plugin-Stash.spec,v $
Revision 1.4  2004/05/03 00:55:41  ankry
- license fixes, cosmetics

Revision 1.3  2004/04/09 13:44:38  qboosh
- pl(?)

Revision 1.2  2004/04/08 12:58:08  migo
- up to 1.006

Revision 1.1  2004/04/07 22:46:23  migo
- initial revision
